[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowFooterDirective

# Class: WindowFooterDirective

Defined in: [packages/angular/window-system/src/lib/window-footer.directive.ts:20](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-footer.directive.ts#L20)

## Implements

- `OnInit`

## Constructors

### new WindowFooterDirective()

> **new WindowFooterDirective**(`windowRef`, `template`, `viewContainerRef`): [`WindowFooterDirective`](WindowFooterDirective.md)

Defined in: [packages/angular/window-system/src/lib/window-footer.directive.ts:22](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-footer.directive.ts#L22)

#### Parameters

##### windowRef

[`WindowRef`](WindowRef.md)

##### template

`TemplateRef`\<[`WindowFooterTemplateContext`](../interfaces/WindowFooterTemplateContext.md)\>

##### viewContainerRef

`ViewContainerRef`

#### Returns

[`WindowFooterDirective`](WindowFooterDirective.md)

## Methods

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-footer.directive.ts:43](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-footer.directive.ts#L43)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

***

### ngTemplateContextGuard()

> `static` **ngTemplateContextGuard**(`dir`, `ctx`): `ctx is WindowFooterTemplateContext`

Defined in: [packages/angular/window-system/src/lib/window-footer.directive.ts:38](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-footer.directive.ts#L38)

Asserts the correct type of the context for the template that `NgForOf` will render.

The presence of this method is a signal to the Ivy template type-check compiler that the
`NgForOf` structural directive renders its template with a specific context type.

#### Parameters

##### dir

[`WindowFooterDirective`](WindowFooterDirective.md)

##### ctx

`any`

#### Returns

`ctx is WindowFooterTemplateContext`
